# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(Furl.pm) perl(JSON.pm) perl(Module/Build.pm) perl(Params/Validate.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name WebService-Pushwoosh
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt2
Summary: An interface to the Pushwoosh Remote API v1.3
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MC/MCARTMELL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Pushwoosh is a push notification service which
provides a JSON API for users of its premium account. This module provides a
simple Perl wrapper around that API.

For information on integrating the Pushwoosh service into your mobile apps, see
http://www.pushwoosh.com/programming-push-notification/.

To obtain an API token, log in to your Pushwoosh account and visit
https://cp.pushwoosh.com/api_access.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/W*

%changelog
* Mon Jan 20 2014 Cronbuild Service <cronbuild@altlinux.org> 0.02-alt2
- rebuild to get rid of unmets

* Tue Sep 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

